# InlineQueryResultArticle - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult / InlineQueryResultArticle

# InlineQueryResultArticle

(common) `class InlineQueryResultArticle : InlineQueryResult, ThumbSizedInlineQueryResult, TitledInlineQueryResult, DescribedInlineQueryResult, WithInputMessageContentInlineQueryResult, UrlInlineQueryResult` (source)

### Constructors

(common)

#### <init>

`InlineQueryResultArticle(id: String, title: String, inputMessageContent: InputMessageContent, replyMarkup: InlineKeyboardMarkup? = null, url: String? = null, hideUrl: Boolean? = null, description: String? = null, thumbUrl: String? = null, thumbWidth: Int? = null, thumbHeight: Int? = null)`

### Properties

(common)

#### description

`val description: String?`

(common)

#### hideUrl

`val hideUrl: Boolean?`

(common)

#### id

`val id: String`

(common)

#### inputMessageContent

`val inputMessageContent: InputMessageContent`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### thumbHeight

`val thumbHeight: Int?`

(common)

#### thumbUrl

`val thumbUrl: String?`

(common)

#### thumbWidth

`val thumbWidth: Int?`

(common)

#### title

`val title: String`

(common)

#### type

`val type: String`

(common)

#### url

`val url: String?`